﻿#region Copyright Syncfusion Inc. 2001 - 2011
// Copyright Syncfusion Inc. 2001 - 2011. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Controls.Grid;
using System.IO;


namespace ComboBoxCellEditorsDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.PreviewMouseLeftButtonDown += dataGrid_PreviewMouseLeftButtonDown;
            this.dataGrid.CurrentCellStartEditing += dataGrid_CurrentCellStartEditing;
        }
        private MouseButtonEventArgs clickArgs = null;
        void dataGrid_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ClickCount == 1)
                clickArgs = e;
            else
                clickArgs = null;
        }

        void dataGrid_CurrentCellStartEditing(object sender, Syncfusion.Windows.ComponentModel.SyncfusionCancelRoutedEventArgs args)
        {
            if (clickArgs != null)
            {
                this.Dispatcher.BeginInvoke(new Action(SetCursor), System.Windows.Threading.DispatcherPriority.ApplicationIdle);
            }
        }
        private void SetCursor()
        {
            GridCurrentCell cc = this.dataGrid.Model.CurrencyManager.CurrentCell;
            if (cc.Renderer.CurrentCellUIElement is GridCellComboBoxDropDown)
            {
                GridCellComboBoxDropDown combo = cc.Renderer.CurrentCellUIElement as GridCellComboBoxDropDown;
                combo.IsEnabled = false;
                clickArgs = null;
            }
        }
    }
}
